# New ports collection makefile for:	global
# Date created:		20 June 2000
# Whom:			chuckr@freebsd.org
#
# $FreeBSD: ports/devel/global/Makefile,v 1.12 2003/02/20 19:41:11 obraun Exp $
#

PORTNAME=	global
PORTVERSION=	4.5.1
CATEGORIES=	devel
MASTER_SITES=	http://www.tamacom.com/global/

MAINTAINER=	jos@catnook.com
COMMENT=	A source code tag system

GNU_CONFIGURE=	yes
USE_PERL5=	yes

MAN1=		gctags.1 global.1 gozilla.1 gtags.1 htags.1

post-patch:
	@${PERL} -pi -e "s|\@PERL\@|${PERL}|g" ${WRKSRC}/htags/htags.in

post-install:
	install-info ${PREFIX}/info/global.info ${PREFIX}/info/dir
.if !defined(NOPORTDOCS)
	${MKDIR} ${PREFIX}/share/doc/global
.for file in AUTHORS COPYING ChangeLog FAQ INSTALL LICENSE NEWS README \
		THANKS
	${INSTALL_MAN} ${WRKSRC}/${file} ${PREFIX}/share/doc/global
.endfor
.endif

.include <bsd.port.mk>
